<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Kurs Javascript - zadanie tworzenie elementów</title>
</head>
<style>
    * {
        box-sizing: border-box;
    }
    .list {
        display:flex;
        border:2px solid #aaa;
        padding:20px;
    }
    .list .element {
        height:200px;
        flex-grow: 1;
        margin:10px;
        display: flex;
        background-image: linear-gradient( 135deg, #2AFADF 10%, #4C83FF 100%);
        border-radius: 10px;
        color: #fff;
        justify-content: center;
        align-items: center;
        font-family: sans-serif;
        text-shadow: 1px 1px 1px rgba(255,255,255,0.5);
        letter-spacing: 2px;
        text-transform: uppercase;
        font-size: 20px;
        font-weight: bold;
    }
    .delete {
        display: inline-block;
        padding:15px 30px;
        background: red;
        color:#fff;
        border:0;
        margin:10px 0;
    }
</style>
<body>

    <div class="list">
    </div>

    <button id="delete" class="delete" type="button">Usuń elementy</button>

    <script>
        //----------------------------------
        //tutaj pisz skrypty
        //----------------------------------
        const lista = document.querySelector('.list');

       

        for(i=1;i<=5;i++)
        {
        const myDiv = document.createElement("div");
        myDiv.className = "element";
        myDiv.title = "jestem divem numer " + i;
        myDiv.textContent = "Element " + i;
        
        lista.appendChild(myDiv);
        }

        console.dir(lista);
        document.querySelector('#delete').addEventListener('click', function() {
            //tutaj napisz usuwanie elementow w liscie
            
            if(lista.children.length>0){
                const elementToDelete = lista.querySelector("div:last-child");
                lista.removeChild(elementToDelete);
            }else{
                console.log("Nie mam co usunąć");
            }
                
        })
    </script>
</body>
</html>